GET /v2/steps.json
Summary: List steps
Operation ID: —
Auth: unknown
Operation ID: —
Auth: unknown
Description
Fetches multiple step records. The records can be filtered, paged, and sorted according to the respective parameters.
Parameters (10)
cadence_id
(integer, query, optional)
Filter by cadence ID
has_due_actions
(boolean, query, optional)
Filter by whether a step has due actions
ids
(array, query, optional)
IDs of steps to fetch.
include_paging_counts
(boolean, query, optional)
Whether to include total_pages and total_count in the metadata. Defaults to false
limit_paging_counts
(boolean, query, optional)
Specifies whether the max limit of 10k records should be applied to pagination counts. Affects the total_count and total_pages data
page
(integer, query, optional)
The current page to fetch results from. Defaults to 1
per_page
(integer, query, optional)
How many records to show per page in the range [1, 100]. Defaults to 25
sort_by
(string, query, optional)
Key to sort on, must be one of: created_at, updated_at. Defaults to updated_at
sort_direction
(string, query, optional)
Direction to sort in, must be one of: ASC, DESC. Defaults to DESC
type
(string, query, optional)
Filter by step type
No probe data for this endpoint yet.